#ifndef DELETETESTWIDGET_H
#define DELETETESTWIDGET_H

#include <QWidget>
#include <QPushButton>
#include <QSqlDatabase>
#include <QSqlQueryModel>
#include <QSqlQuery>
#include <QMessageBox>
#include <QErrorMessage>
#include <QSqlError>
namespace Ui {
class deletetestwidget;
}

class deletetestwidget : public QWidget
{
    Q_OBJECT

public:
    explicit deletetestwidget(QWidget *parent = nullptr);
    ~deletetestwidget();
    Ui::deletetestwidget* ui;
    QPushButton* returnButton;
    QPushButton* submit;
public slots:
   void receiveDataBase(const QSqlDatabase & p_db);
   void deleteTest();
private:
   QSqlDatabase db;
   QErrorMessage *err;
   QMessageBox *message;
};

#endif // DELETETESTWIDGET_H
